package cn.iocoder.yudao.module.system.service.reservation;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.RegistrationPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.RegistrationRespVO;
import cn.iocoder.yudao.module.system.controller.admin.reservation.vo.RegistrationSaveReqVO;

/**
 * 来访登记 Service 接口
 *
 * @author 系统管理员
 */
public interface VisitRegistrationService {


    Long createRegistration(RegistrationSaveReqVO createReqVO);

    void updateRegistration(RegistrationSaveReqVO updateReqVO);

    RegistrationRespVO getRegistration(Long id);

    PageResult<RegistrationRespVO> getRegistrationPage(RegistrationPageReqVO pageReqVO);
}